(ns cipher-analytical-machine.core
  (:require
   [cipher-analytical-machine.cli.cli :as cli])
  (:gen-class))

(defn -main
  [& args]
  (let [{:keys [options arguments action-type exit-message ok?]} (cli/validate-args args)]
    (if exit-message
      (cli/exit exit-message ok?)
      (cli/actions options arguments action-type))))

